﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x804 上介绍了“空白页”项模板

namespace Demo
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void OnLoadEn(object sender, RoutedEventArgs e)
        {
            // 切换语言
            SetLang("en-us");
            TheRes.Load(); //重新加载
        }

        private void OnLoadZh(object sender, RoutedEventArgs e)
        {
            // 切换语言
            SetLang("zh-cn");
            TheRes.Load();
        }

        ResourcesItems TheRes
        {
            get { return ResourcesItems.Current; }
        }

        private void SetLang(string lang)
        {
            var context = Windows.ApplicationModel.Resources.Core.ResourceContext.GetForCurrentView();
            var qs = context.QualifierValues;
#if DEBUG
            var strbd = new System.Text.StringBuilder();
            foreach (var item in qs)
            {
                string ts = $"{item.Key} = {item.Value}";
                strbd.AppendLine(ts);
            }
            System.Diagnostics.Debug.WriteLine($"\n\n{strbd}\n\n");
#endif
            // 这样也可以修改当前应用的语言
            qs["Language"] = lang;
        }
    }
}
