﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;
using System.ComponentModel;

namespace Demo
{
    public class ResourcesItems : INotifyPropertyChanged
    {
        static readonly ResourcesItems mInstance = new ResourcesItems();
        public static ResourcesItems Current { get { return mInstance; } }

        private ResourcesItems()
        {
            // 构造时加载一下，填充默认值
            Load();
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propname)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propname));
        }

        public void Load()
        {
            var loader = ResourceLoader.GetForCurrentView("Goods");
            Item1 = loader.GetString("t1");
            Item2 = loader.GetString("t2");
            Item3 = loader.GetString("t3");
        }

        #region 属性
        string _it1, _it2, _it3;
        public string Item1
        {
            get { return _it1; }
            set
            {
                if (value != _it1)
                {
                    _it1 = value;
                    OnPropertyChanged(nameof(Item1));
                }
            }
        }
        public string Item2
        {
            get { return _it2; }
            set
            {
                if (_it2 != value)
                {
                    _it2 = value;
                    OnPropertyChanged(nameof(Item2));
                }
            }
        }
        public string Item3
        {
            get { return _it3; }
            set
            {
                if (_it3 != value)
                {
                    _it3 = value;
                    OnPropertyChanged(nameof(Item3));
                }
            }
        }
        #endregion
    }
}
